com.jogamp.opengl.util.stereo

## Interface StereoGLEventListener

- All Superinterfaces:
    CustomGLEventListener, EventListener, GLEventListener

      public interface StereoGLEventListener
      extends CustomGLEventListener

  Extended `GLEventListener` and `CustomGLEventListener` interface supporting stereoscopic client rendering.

- - ### Field Summary

    - ### Fields inherited from interface com.jogamp.opengl.util.CustomGLEventListener

      `DISPLAY_DONTCLEAR, DISPLAY_REPEAT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reshapeForEye(GLAutoDrawable drawable, int x, int y, int width, int height, EyeParameter eyeParam, EyePose eyePose)` Stereo capable specialization of `GLEventListener.reshape(GLAutoDrawable, int, int, int, int)` for one `StereoDeviceRenderer.Eye`.

    - ### Methods inherited from interface com.jogamp.opengl.util.CustomGLEventListener

      `display`

    - ### Methods inherited from interface javax.media.opengl.GLEventListener

      `display, dispose, init, reshape`

- - ### Method Detail

    - #### reshapeForEye

          void reshapeForEye(GLAutoDrawable drawable,
                           int x,
                           int y,
                           int width,
                           int height,
                           EyeParameter eyeParam,
                           EyePose eyePose)

      Stereo capable specialization of `GLEventListener.reshape(GLAutoDrawable, int, int, int, int)` for one `StereoDeviceRenderer.Eye`.

      Called by the stereo renderer before each `GLEventListener.display(GLAutoDrawable)` or `CustomGLEventListener.display(GLAutoDrawable, int)` call.

      The client can update it's viewport associated data and view volume of the window appropriately.

      The client shall also update it's projection- and modelview matrices according to the given `EyeParameter` and `EyePose`.

      For efficiency the GL viewport has already been updated via `glViewport(x, y, width, height)` when this method is called.

      Parameters:
        `drawable` - the triggering `GLAutoDrawable`
        `x` - viewport x-coord in pixel units
        `y` - viewport y-coord in pixel units
        `width` - viewport width in pixel units
        `height` - viewport height in pixel units
        `eyeParam` - constant eye parameter, i.e. FOV and IPD
        `eyePose` - current eye position and orientation
      See Also:
        `FloatUtil#makePerspective(float[], int, boolean, com.jogamp.opengl.math.FloatUtil.FovHVHalves, float, float)`

Copyright 2010 JogAmp Community.